Bug 1428340 - Xorg killed by SIGABRT after resize of VM display when multiple PCI device in use [NEEDINFO]
Summary: Xorg killed by SIGABRT after resize of VM display when multiple PCI device in...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-qxl
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
Petr Bokoc
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 11:07 UTC by Radek Duda
Modified: 2019-01-24 08:43 UTC (History)
14 users (show)

(edit)
Resizing a display of a virtual machine with multiple displays using multiple PCI devices causes *X* to crash

A bug in the *QXL* driver (_xorg-x11-drv-qxl_) causes the *X.Org* display server on a virtual machine to crash upon display resize if the virtual machine has multiple displays configured to use multiple PCI devices. Make sure guest virtual machines running Red Hat Enterprise Linux with multiple monitors are configured to use a single PCI device. In Red Hat Virtualization, this setting is controlled by the `Single PCI Device` check box under `Edit` -> `Console`, and is enabled by default.
Clone Of:
: 1475320 (view as bug list)
(edit)
Last Closed: 2018-10-30 08:01:02 UTC
rduda: needinfo? (michal.skrivanek)


Attachments (Terms of Use)
backtrace (34.38 KB, text/plain)
2017-03-02 11:08 UTC, Radek Duda
no flags Details
Xorg log (44.53 KB, text/plain)
2017-03-07 09:27 UTC, Radek Duda
no flags Details
patch for xf86-video-qxl (728 bytes, patch)
2017-03-08 00:54 UTC, Dave Airlie
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3059 None None None 2018-10-30 08:02 UTC

Description Radek Duda 2017-03-02 11:07:02 UTC
Description of problem:
If display of VM guest is resized, then Xorg is killed by SIGABRT and subsequently Xorg server crashes.


Version-Release number of selected component (if applicable):
Client/Host:
qemu-kvm-1.5.3-132.el7.x86_64
spice-server-0.12.8-1.el7.x86_64
virt-viewer-2.0-13.el7.x86_64


Guest:
spice-vdagent-0.14.0-14.el7.x86_64
xorg-x11-drv-qxl-0.1.5-2.el7.x86_64
Kernel: Linux 3.10.0-578.el7.x86_64


How reproducible: always


Steps to Reproduce:
1. Boot Guest VM, connect to it with remote-viewer and login to Guest
2. resize window of remote-viewer with Guest

Actual results:
Xorg killed by SIGABRT. Then either GDM login screen appears or system freezes.


Expected results:
Resize of guest display without crash.

Additional info: see backtrace at attachement

Comment 2 Radek Duda 2017-03-02 11:08 UTC
Created attachment 1259087 [details]
backtrace

Comment 3 Radek Duda 2017-03-03 15:59:12 UTC
The crash happens only when using multiple pci device (Single PCI checkbox in rhv->edit->Console is not checked)

Comment 4 Dave Airlie 2017-03-06 21:43:47 UTC
Please attach /var/log/Xorg.0.log file.

Comment 5 Radek Duda 2017-03-07 09:27 UTC
Created attachment 1260730 [details]
Xorg log

Comment 6 Dave Airlie 2017-03-08 00:54 UTC
Created attachment 1261031 [details]
patch for xf86-video-qxl

possible fix for qxl.

Comment 7 Tomas Pelka 2017-03-08 07:07:25 UTC
(In reply to Dave Airlie from comment #6)
> Created attachment 1261031 [details]
> patch for xf86-video-qxl
> 
> possible fix for qxl.

Hey Dave,

would it be please possible prepare a build that Radek could try?

Thanks
-Tom

Comment 8 Christophe Fergeau 2017-03-08 09:15:01 UTC
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12711357 is a 7.4 build with the patch from Dave.

Comment 9 Radek Duda 2017-03-08 10:04:43 UTC
Ok I tried the build - it fixes the problem

Comment 10 Jonathon Jongsma 2017-06-06 15:55:06 UTC
It looks like it is too late to get into 7.4, but there is a potential fix available. Dave, is this the patch that you think should go upstream?

Comment 12 Frediano Ziglio 2017-06-19 12:34:05 UTC
(In reply to Jonathon Jongsma from comment #10)
> It looks like it is too late to get into 7.4, but there is a potential fix
> available. Dave, is this the patch that you think should go upstream?

Being not a new feature should not be backported as bugfix anyway?

Comment 13 Christophe Fergeau 2017-06-19 12:43:19 UTC
I would say this started crashing after some Xorg rebase, before Xorg was at least starting up. So fixing that crash would be a bugfix.

Comment 26 Eugene 2018-03-15 21:49:44 UTC
Hello.

> [0] https://cgit.freedesktop.org/xorg/driver/xf86-video-qxl/commit/

I found this patch works only when qemu-guest-agent in not added to the VM, otherwise crash happens all the times while login. It shows the window which informs that ksmserver is crashed and if to click "okay", it quits to sddm login screen on my Kubuntu 18.04 (dev branch). Also it applies from *ubuntu 16.04.02 till 18.04.

Can someone test with qemu-ga added in VM?

Thanks.

Comment 27 Radek Duda 2018-03-16 09:23:35 UTC
Hi Eugene,

I tested this with rhel7.5 VM with qemu-guest-agent 10:2.8.0-2.el7 installed. 
1. Create VM with multiple displays and single multiple PCI
2. start it, connect with remote-viewer and resize guest's display by resizing remote-viewer's window.

The crash still happens.

Actually - why we do not use patch from comment #8? (https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12711357).
It worked for me (as stated in comment #7).

Comment 28 Christophe Fergeau 2018-03-16 09:58:57 UTC
(In reply to Radek Duda from comment #27)
> Actually - why we do not use patch from comment #8?
> (https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12711357).
> It worked for me (as stated in comment #7).

Ugh, yes, this missed the cut for 7.5 :-/

Comment 29 Eugene 2018-03-16 21:18:43 UTC
(In reply to Radek Duda from comment #27)
> Hi Eugene,
> 
> I tested this with rhel7.5 VM with qemu-guest-agent 10:2.8.0-2.el7
> installed. 
> 1. Create VM with multiple displays and single multiple PCI
> 2. start it, connect with remote-viewer and resize guest's display by
> resizing remote-viewer's window.
> 
> The crash still happens.
> 
> Actually - why we do not use patch from comment #8?
> (https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12711357).
> It worked for me (as stated in comment #7).

Hello, Radek.
Actually I didn't understood you. What did you meant when you first said that crash still happens but then that it worked for you as in state in comment #7 which is telling about attached patch.

Comment 34 Radek Duda 2018-09-07 11:35:39 UTC
there is no crash after resize of VM display now (tested rhel7.6 guest with xorg-x11-drv-qxl-0.1.5-4.el7.1.x86_64)

Comment 36 errata-xmlrpc 2018-10-30 08:01:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3059


Note You need to log in before you can comment on or make changes to this bug.